Subject: Re: [PATCH 2/2] progress: remove redundant null-checking

From: Emily Shaffer <[email-masked]>
Date: Fri, 10 Jul 2020 12:27:31 -0700

On Fri, Jul 10, 2020 at 11:50:08AM -0700, Junio C Hamano wrote:
> 
> Taylor Blau <[email-masked]> writes:
> 
> > To me too, although note that this will generate merge conflicts with
> > Szeder's patch from earlier today[1].
> >
> > Unfortunately, the conflicts are a little deeper than "we both removed
> > an unnecessary 'if' statement", since Szeder's patch moves the
> > 'stop_progress()' call earlier to avoid a bug that I introduced.
> >
> > This is just something for Junio to look out for while queuing,
> 
> Actually that is something contributors learn to play better with
> each other ;-)

Yeah, I was worried about the nature of this series in general. Sorry to
have missed Szeder's change.

> Thanks for a heads-up.

Will it make your life easier if I base this series on the other topic?
Or would you rather I leave it to you?

 - Emily